Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Handle_Gobbler Class Reference

This class gobbles up handles. More...

`#include <Handle_Gobbler.h>`

Collaboration diagram for ACE_Handle_Gobbler:

[legend]
List of all members.

## Public Methods
| ~ACE_Handle_Gobbler (void)
| Destructor. Cleans up any remaining handles.
int | consume_handles (size_t n_handles_to_keep_available)
int | free_handles (size_t n_handles)
| Free up <n_handles>.
void | close_remaining_handles (void)
| All remaining handles are closed.
## Private Types
typedef ACE_Unbounded_Set< ACE_HANDLE > | HANDLE_SET
## Private Attributes
HANDLE_SET | handle_set_
| The container which holds the open descriptors.

## Detailed Description

This class gobbles up handles.

This is useful when we need to control the number of handles available for a process. This class is mostly used for testing purposes.

## Member Typedef Documentation

typedef ACE_Unbounded_Set<ACE_HANDLE> ACE_Handle_Gobbler::HANDLE_SET`[private]`

## Constructor & Destructor Documentation

ACE_Handle_Gobbler::~ACE_Handle_Gobbler | ( | void |  | ) | `[inline]`

| Destructor. Cleans up any remaining handles.

## Member Function Documentation

void ACE_Handle_Gobbler::close_remaining_handles | ( | void |  | ) | `[inline]`

| All remaining handles are closed.

int ACE_Handle_Gobbler::consume_handles | ( | size_t | n_handles_to_keep_available | ) | `[inline]`

| Handles are opened continously until the process runs out of them, and then <n_handles_to_keep_available> handles are closed (freed) thereby making them usable in the future.

int ACE_Handle_Gobbler::free_handles | ( | size_t | n_handles | ) | `[inline]`

| Free up <n_handles>.

## Member Data Documentation

HANDLE_SET ACE_Handle_Gobbler::handle_set_`[private]`

| The container which holds the open descriptors.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Handle_Gobbler.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Handle_Gobbler.i